Bug 35545 - [periodic] [patch] enhanced periodic scripts: 100.clean-disks, 100.clean-tmps
Summary: [periodic] [patch] enhanced periodic scripts: 100.clean-disks, 100.clean-tmps
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 4.5-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
: 84752 (view as bug list)
Depends on:
Blocks:
 
Reported: 2002-03-04 20:20 UTC by D J Hawkey Jr
Modified: 2018-02-18 07:20 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (1.17 KB, patch)
2002-03-04 20:20 UTC, D J Hawkey Jr
no flags Details | Diff
file.diff (1.25 KB, patch)
2002-03-04 20:20 UTC, D J Hawkey Jr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description D J Hawkey Jr 2002-03-04 20:20:01 UTC
/etc/periodic/daily/100.clean-disks should have "exclude paths".
/etc/periodic/daily/110.clean-tmps removes empty directories, and should
not, IMHO.

Fix: These two patches. The first, for 100.clean-disks, honors a new variable,
daily_clean_disks_excludes (ex., "*/home/*"). The second, for 110.clean-tmps,
honors a new variable, daily_clean_tmps_prune (ex., "YES" or "NO").
Additionally, they both actually make their *_verbose variables do the
Right Thing(tm), and could pro'lly be applied to many more of the periodic
scripts.

They both should be scrutinized for correctness. They test out fine here,
and fulfill my needs, but may not be generic enough, and I may be blind to
some nuances of 'find' and/or 'periodic'.
How-To-Repeat: 
Enable either in /etc/periodic.conf
Comment 1 V.Chukharev 2010-03-14 14:24:03 UTC
A similar patch is in a closed PR conf/129697 .

A related PR conf/84752 refers to this one.

-- 
Vladimir Chukharev
Tampere University of Technology
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:41 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 3 Alex Kozlov freebsd_committer 2018-02-18 07:20:30 UTC
*** Bug 84752 has been marked as a duplicate of this bug. ***